<div class="container-fluid">
  <table class="table table-hover" width="100%">
    <thead>
      <th scope="col">Discount ID</th>
      <th scope="col">Name</th>
      <th scope="col">No. Of Discount Per Day </th>
      <th scope="col">Principal Discount</th>
      <th scope="col">Additional Discount </th>
      <th scope="col">IsActive </th>
      <th scope="col">Action</th>
    </thead>
    <tbody>
    <tr *ngFor="let discount of discounts;let i = index">
      <td>
        {{ discount.discountId}}
      </td>
      <td >
        {{ discount.discountName}}
      </td>
      <td >
        {{ discount.numberOfDiscountPerDay}}
      </td>
      <td >
        {{ discount.principalDiscount}}
      </td>
      <td >
        {{ discount.additionalDiscount}}
      </td>
      <td>
        <input [disabled]='true' type="checkbox"  [(ngModel)]="discount.isDeleted">
      </td>
      <td>
        <div>
          <button type="button" class="btn btn-warning float-left" (click)="openDialogView($event, content,discount)">
            View
          </button>
        </div>
      </td>
    </tr>
    </tbody>
  </table>
  <div>
    <button type="button" class="btn btn-warning float-left"  (click)="openDialogAdd($event, content);"><span
      class="fa fa-plus-circle">&nbsp;</span> Add Discount </button>
  </div>
  <!-- modal dialog -->
  <div>
    <ng-template #content let-modal>
      <div class="modal-content">
        <div class="modal-header">
          <h4 class="modal-title"> Discount </h4>
          <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <app-discountaction [discountInput]="discountData" [(mode)]="mode"></app-discountaction>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-outline-dark" (click)="modal.close('Close click')">Close</button>
        </div>
      </div>
    </ng-template>
  </div>

</div>

